%global srcname fast_yaml


Name: erlang-%{srcname}
Version: 1.0.8
Release: 1%{?dist}

License: ASL 2.0
Summary: An Erlang wrapper for libyaml "C" library
URL:     https://github.com/processone/fast_yaml/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz

Provides:  erlang-p1_yaml = %{version}-%{release}
Obsoletes: erlang-p1_yaml < 1.0.2

BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.6
BuildRequires: libyaml-devel

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
P1 YAML is an Erlang wrapper for libyaml "C" library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8 (#1412157).
- https://github.com/processone/fast_yaml/blob/1.0.8/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.7-1
- Update to 1.0.7 (#1398612).

* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.6-1
- Update to 1.0.6 (#1365097).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.5-1
- Update to 1.0.5 (#1354094).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.4-1
- Update to 1.0.4 (#1351710)

* Thu Apr 21 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-1
- Update to 1.0.3.

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-2
- Include a debuginfo package.

* Sat Mar 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-1
- Initial release.
